/*!
 * gitmars v7.0.0-beta.22
 * 这是一个git工作流工具
 * (c) 2021-2024 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
const t = (txt) => txt;
const cmdConfig = {
  command: "start",
  short: "st",
  args: [
    {
      required: true,
      name: "type",
      variadic: false,
      description: t("Branch Type"),
      options: ["feature", "bugfix", "support"],
      value: ""
    },
    {
      required: true,
      name: "name",
      variadic: false,
      description: t("Branch name (without feature/bugfix prefix)")
    }
  ],
  options: [
    {
      flags: "-t, --tag <tag>",
      required: true,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-t",
      long: "--tag",
      negate: false,
      description: t("Create branch from tag"),
      defaultValue: "",
      recommend: false
    }
  ]
};

export { cmdConfig, cmdConfig as default };
